# $Revision: 1.5 $, $Date: 2009/08/21 07:46:55 $
#
%define		srcname		geronimo-spec-jaxrpc
%include	/usr/lib/rpm/macros.java
Summary:	Geronimo spec jaxrpc
Name:		java-geronimo-spec-jaxrpc
Version:	1.1
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
# svn export http://svn.apache.org/repos/asf/geronimo/specs/branches/1_1/geronimo-spec-jaxrpc java-greonimo-spec-jaxrpc-1.1
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	630138565166448cd8190d2a82356dce
URL:		http://svn.clazzes.org/svn/odtransform/
BuildRequires:	jar
BuildRequires:	java(Servlet)
BuildRequires:	java-sun
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java(Servlet)
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Geronimo spec jaxrpc.

%prep
%setup -q

%build
required_jars="servlet-api"
CLASSPATH=$(build-classpath $required_jars)
find -name '*.java' | xargs %javac -cp $CLASSPATH
cd src/main/java
find -name '*.class' | xargs %jar cf ../../../%{srcname}-%{version}.jar

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -a %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-geronimo-spec-jaxrpc.spec,v $
Revision 1.5  2009/08/21 07:46:55  pawelz
- unified java deps and required jar names
- rel 2

Revision 1.4  2009/08/18 11:59:29  pawelz
- use java_sun. It does not compile with gcj.

Revision 1.3  2009/08/18 11:28:21  pawelz
- rel 1

Revision 1.2  2009/08/18 11:27:46  pawelz
- execute jar in correct dir, so paths inside jar will match java package names.

Revision 1.1  2009/08/17 15:42:47  pawelz
- init

